SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
RakString.cpp File Reference
`#include "slikenet/string.h"`
`#include "slikenet/assert.h"`
`#include "slikenet/memoryoverride.h"`
`#include "slikenet/BitStream.h"`
`#include <stdarg.h>`
`#include "slikenet/LinuxStrings.h"`
`#include "slikenet/StringCompressor.h"`
`#include "slikenet/SimpleMutex.h"`
`#include <stdlib.h>`
`#include "slikenet/Itoa.h"`
`#include <limits>`
`#include "slikenet/linux_adapter.h"`
`#include "slikenet/osx_adapter.h"`

Go to the source code of this file.

## Functions

SimpleMutex & | GetPoolMutex (void)
const SLNet::RakString | operator+ (const SLNet::RakString &lhs, const SLNet::RakString &rhs)
int | porges_strlen2 (char *s)

## Variables

static RakStringCleanup | cleanup

## Function Documentation

SimpleMutex& GetPoolMutex | ( | void |  | ) |

Definition at line 50 of file RakString.cpp.

Referenced by SLNet::RakString::LockMutex(), and SLNet::RakString::UnlockMutex().

const SLNet::RakString operator+ | ( | const SLNet::RakString & | lhs,
|  | const SLNet::RakString & | rhs
| ) |  |

Definition at line 286 of file RakString.cpp.

References _FILE_AND_LINE_, SLNet::RakString::SharedString::bigString, SLNet::RakString::SharedString::bytesUsed, SLNet::RakString::SharedString::c_str, SLNet::RakString::emptyString, SLNet::RakString::freeList, SLNet::RakString::GetLength(), SLNet::RakString::GetSizeToAllocate(), DataStructures::List< list_type >::Insert(), SLNet::RakString::IsEmpty(), SLNet::SimpleMutex::Lock(), SLNet::RakString::LockMutex(), rakMalloc_Ex, SLNet::RakString::SharedString::refCount, SLNet::RakString::SharedString::refCountMutex, DataStructures::List< list_type >::RemoveAtIndex(), SLNet::RakString::sharedString, DataStructures::List< list_type >::Size(), SLNet::RakString::SharedString::smallString, SLNet::SimpleMutex::Unlock(), and SLNet::RakString::UnlockMutex().

int porges_strlen2 | ( | char * | s | ) |

Definition at line 401 of file RakString.cpp.

Referenced by SLNet::RakString::GetLengthUTF8().

## Variable Documentation

RakStringCleanup cleanup

static

Definition at line 48 of file RakString.cpp.